var RastreadorPacotes = RastreadorPacotes || {};

RastreadorPacotes.Preferencias = function() {
    "use strict";
    
    var _carregar = function() {
        var inputs = $$("#articleTelaPreferencias input"),
            pref = JSON.parse(localStorage.getItem("preferencias"));
            
        for (var i = 0, len = inputs.length; i < len; i++) {
            
            // verifica se existe no objeto
            if (Lungo.Core.isOwnProperty(pref, inputs[i].name)) {
                // se existir...
                inputs[i].checked = pref[inputs[i].name];
                continue;
            }

            item.checked = false;
        }
    };
    
    
    
    var _definirAcaoBotoes = function() {
        $$("#articleTelaPreferencias input").on("click", function() { 
            RastreadorPacotes.Preferencias.Salvar(this);
        });
    };
    

    return {
        Init: function() {
            _definirAcaoBotoes();
            _carregar();
        },


        Salvar: function(item) {
            var pref = JSON.parse(localStorage.getItem("preferencias"));
            pref = pref || {};
            pref[item.name] = item.checked;
            
            localStorage.setItem("preferencias", JSON.stringify(pref));
            
            // define as preferncias
            app.preferencias = pref;
        }
    };
}();