﻿var RastreadorPacotes = RastreadorPacotes || {};

RastreadorPacotes.AlterarSenha = function() {
    "use strict";
    
    
    var _definirAcaoBotoes = function() {
        $$("#telaAlterarSenha [data-action=alterarsenha]").tap(function() {
            RastreadorPacotes.AlterarSenha.Salvar();
        });
    };
    
    
    var _domSenhaAtual = document.getElementById("txtPasswordAtual"),
        _domSenhaNova = document.getElementById("txtPasswordNovo"),
        _domSenhaNova2 = document.getElementById("txtPasswordNovo2");

    
    return {
        Init: function() {
            _definirAcaoBotoes();
        },
        
        
        Salvar: function() {

            if ((!app.isOnline) && (app.isMobile)) {
                MyMobile.Alert("", "Por favor, verifique a sua conexão com a internet e tente novamente.", "Ok");
                return;
            }
            
            if (_domSenhaAtual.value.trim() == "") {
                MyMobile.Toast("Informe a sua senha atual");
                return;
            }
            
            if (_domSenhaNova.value.trim() == "") {
                MyMobile.Toast("Informe a sua nova senha");
                return;
            }

            if (_domSenhaNova2.value.trim() == "") {
                MyMobile.Toast("Repita a sua nova senha");
                return;
            }

            if (_domSenhaNova.value != _domSenhaNova2.value) {
                MyMobile.Toast("As senhas não conferem.");
                return;
            }

            
            var data = RastreadorPacotes.StrAcessoWebService();
            data.senhaAtual = tmz.Base64.encode(_domSenhaAtual.value);
            data.senhaNova = tmz.Base64.encode(_domSenhaNova.value);
            
            
            MyMobile.ActivityStart("", "Alterando a senha...");
            
            $$.post(
                app.config.server.format("UsuarioTrocarSenha"),
                data,
                function(retorno) {
                    
                    MyMobile.ActivityStop();
                    
                    MyMobile.Alert(
                        "", 
                        retorno.mensagem, 
                        "Ok", 
                        function() { 
                            Lungo.Router.back();
                        }
                    );
                    
                }
            );
        }
    };
}();