var tmz = tmz || {};

(function () {
    "use strict";

    window.isNull = function (x) {
        if ((x === undefined) || (x === null)) {
            return true;
        }

        return false;
    };

    var Class = function (_1) {
            var _2 = function () {
                    this.constructor = _2;
                    return (arguments[0] !== null && this.initialize && $typeOf(this.initialize) == "function") ? this.initialize.apply(this, arguments) : this;
                    return (arguments[0] !== null && this.initialize && $typeOf(this.constructor) == "function") ? this.constructor.apply(this, arguments) : this
                };
            $extend(_2, this);
            _2.prototype = _1 || {};
            _2.constructor = Class;
            _2.ID = {
                type: "class"
            };
            return _2
        };
    Class.prototype = {
        implement: function () {
            var _3 = {},
                _4 = arguments;
            if ($typeOf(arguments[0]) == "string" && arguments[1]) {
                _3[arguments[0]] = arguments[1];
                _4 = [_3]
            }
            for (var i = 0, l = _4.length; i < l; i++) {
                $extend(this.prototype, _4[i]);
                if (_4[i] && _4[i].constructor === Options) {
                    this.setOptions = $extend.bind(this.prototype.options)
                }
            }
            return this
        },
        extend: function (_7) {
            var _8 = new this(null);
            var _9 = {};
            var _a;
            for (var _b in _7) {
                var pp = _8[_b];
                _8[_b] = Class.Merge(pp, _7[_b])
            }
            _8.constructor = this;
            for (var i in _8) {
                if ($typeOf(_8[i]) === "function" && !_8[i].parent) {
                    _8[i].parent = _8[i]
                }
            }
            _a = new Class(_8);
            if (this.setOptions) {
                _a.setOptions = $extend.bind(_a.prototype.options)
            }
            return _a
        }
    };
    Class.Merge = function (_e, _f) {
        if (_e && _e != _f) {
            var _10 = $typeOf(_f);
            if (_10 != $typeOf(_e)) {
                return _f
            }
            switch (_10) {
            case "function":
                var _11 = function () {
                        this.parent = arguments.callee.parent;
                        return _f.apply(this, arguments)
                    };
                _11.parent = _e;
                return _11;
            case "object":
                return $merge(_e, _f)
            }
        }
        return _f
    };

    /**
     * functions de terceiros
     **/
    var $extend = function () {
            var _1b = arguments;
            if (!_1b[1]) {
                _1b = [this, _1b[0]]
            }
            if (!_1b[1]) {
                return _1b[0]
            }
            for (var p in _1b[1]) {
                try {
                    _1b[0][p] = _1b[1][p]
                } catch (ex) {
                    console.error("Failed to extend : " + _1b[0] + ", to : " + p)
                }
            }
            return _1b[0]
        };

    var $type = null;
    var $typeOf = $type = function (obj) {
            var _13, ret;
            if (obj === null || obj === undefined) {
                return false;
            }
            if (obj.ID && obj.ID.type) {
                return obj.ID.type;
            }
            if (obj.window) {
                obj.ID = {
                    type: "window"
                };
                return "window"
            }
            _13 = typeof (obj);
            if (_13 == "object" && (obj.extented && obj.type) || (obj.target || obj.srcElement)) {
                if (obj.type) {
                    obj.ID = {
                        type: "event"
                    };
                    return "event"
                }
            }
            if (_13 == "object" && obj.nodeName) {
                switch (obj.nodeType) {
                case 1:
                    ret = "element";
                    break;
                case 3:
                    ret = (/\S/).test(obj.nodeValue) ? "textnode" : "whitespace";
                    break
                }
                obj.ID = {
                    type: ret
                };
                return ret
            }
            if (obj.length !== undefined && typeof obj.length == "number") {
                if (obj.item) {
                    ret = "collection"
                }
                if (obj.callee) {
                    ret = "arguments"
                }
                if (!window.ie) {
                    obj.ID = {
                        type: ret
                    }
                }
                return ret
            }
            return _13
        };

    var $rnd = function (min, max) {
            return min + (Math.random() * (max - min))
        };

    var $A = function (arg, _27) {
            var _28 = [],
                _29 = $typeOf(arg);
            if (_29 === "string") {
                return arg.toArray()
            }
            if (_29 === "object") {
                each(arg, function (_2a) {
                    _28.push(_2a)
                });
                return _28
            }
            _27 = _27 || 0;
            if (_27 !== 0 && _29 === "arguments") {
                return Array.prototype.slice.call(arg)
            }
            if (_27 < 0) {
                _27 = arg.length + _27
            }
            var _2b = _2b || (arg.length - _27);
            for (var i = 0; i < _2b; i++) {
                _28[i] = arg[_27++]
            }
            return _28
        };

    var Abstract = function (obj) {
            obj = obj || {};
            obj.extend = $extend;
            return obj
        };

    var prototypes = [Array, String, Date, Number, Function, RegExp, Boolean, window.HTMLElement];
    for (var i = 0, l = prototypes.length; i < l; i++) {
        prototypes[i].extend = function () {
            $extend(this.prototype, arguments[0])
        };
        prototypes[i].prototype.ID = {
            type: ["array", "string", "date", "number", "function", "regexp", "boolean"][i]
        }
    }
    /**
     * /FIM: functions de terceiros
     **/

    Array.extend({
        removeDuplicate: function () {
            var arr = this,
                dups = {};

            return arr.filter(function (el) {
                var hash = el.valueOf(),
                    isDup = dups[hash];

                dups[hash] = true;
                return !isDup;
            });
        },
        searchInObject: function (prop, val) {
            for (var i = 0; i < this.length; i++) {
                if (this[i][prop] == val) {
                    return i;
                }
            }

            return -1;
        }
    });




    String.prototype.append = function (str /**, separador*/ ) {
        var s = (arguments[1] == null) ? "" : arguments[1];
        return this + ((this.length) ? s : "") + str;
    };


    /**
     * Javascript prototype - string.clear()
     * @autor: Thiago Motta Zappaterra
     * @email: tmottaz@gmail.com
     * @data: 03/08/2010
     * @descricao: limpa o conteudo de um campo
     * @exemplo: "idCampo".clear();	
     **/
    String.prototype.clear = function ( /**clearHiddenFields**/ ) {
        var el = document.getElementById(this);

        if (el == null) {
            return "";
        }

        var attr = el.getAttribute("valuedefault"),
            objDefault = JSON.parse(attr),
            vDefault = (attr != null) ? objDefault.value : "";

        switch (el.tagName.toLowerCase()) {
        case "div":
            {
                el.textContent = vDefault || "";
                break;
            }
        case "input":
            {
                el.value = vDefault || "";
                break;
            }
        case "label":
            {
                el.innerHTML = vDefault || "";
                break;
            }
        case "textarea":
            {
                el.value = vDefault || "";
                break;
            }
        case "select":
            {
                el.length = 0;
                break;
            }
        case "span":
            {
                el.innerHTML = vDefault || "";
                break;
            }
        case "form":
            {
                // este reset não limpa os input type=hidden
                el.reset();

                // verifica se é para limpar os campos hidden
                var clearHidden = ((arguments[0] != null) && (arguments[0] == true));

                if (clearHidden) {
                    var inputs = document.querySelectorAll("#" + el.id + " input[type=hidden]");

                    if ((inputs != null) && (inputs.length > 0)) {
                        for (var i = 0; i < inputs.length; i++) {
                            inputs[i].value = "";
                        }
                    }
                }


                if ((tmz.settings != null) && (tmz.settings.theme != null)) {
                    if (tmz.Theme != null) {
                        tmz.Theme[tmz.settings.theme].ClearForm(
                        el.id, tmz.settings.className.inputError);
                    }
                }


                break;
            }
        }

        // adiciona o atributos apenas se existir
        if ((objDefault != null) && (objDefault.style != null)) {
            for (var p in objDefault.style) {
                el.style.setProperty(p, objDefault.style[p]);
            }
        }
    };

    /**
     * Javascript prototype - string.format("valor 1", "valor 2", "valor 3")
     * "{0} is dead, but {1} is alive!".format("ASP", "ASP.NET")
     **/
    String.prototype.format = function () {
        var formatted = this;
        for (var arg in arguments) {
            formatted = formatted.replace("{" + arg + "}", arguments[arg]);
        }
        return formatted;
    };


    String.prototype.replaceAll = function (de, para) {
        return this.replace(new RegExp(de, "g"), para);
    };


    /**
     * @descrição: Array de objetos de qual caracter deve substituir seu par com acentos
     **/
    var specialChars = [{
        val: "a",
        let: "áàãâä"
    }, {
        val: "e",
        let: "éèêë"
    }, {
        val: "i",
        let: "íìîï"
    }, {
        val: "o",
        let: "óòõôö"
    }, {
        val: "u",
        let: "úùûü"
    }, {
        val: "c",
        let: "ç"
    }, {
        val: "A",
        let: "ÁÀÃÂÄ"
    }, {
        val: "E",
        let: "ÉÈÊË"
    }, {
        val: "I",
        let: "ÍÌÎÏ"
    }, {
        val: "O",
        let: "ÓÒÕÔÖ"
    }, {
        val: "U",
        let: "ÚÙÛÜ"
    }, {
        val: "C",
        let: "Ç"
    }, {
        val: "",
        let: "?!()"
    }];

    /**
     * @descrição: Função para substituir caracteres especiais.
     * @return String
     **/
    String.prototype.replaceSpecialChars = function () {
        var spaceSymbol = "-";
        var regex;
        var returnString = this;

        for (var i = 0; i < specialChars.length; i++) {
            regex = new RegExp("[" + specialChars[i].let + "]", "g");
            returnString = returnString.replace(regex, specialChars[i].val);
            regex = null;
        }

        return returnString.replace(/\s/g, spaceSymbol);
    };



    // Ordena um array através de uma propriedade
    // exemplo:
    //  arr = [{a:10, nome:"Op1"}, {a:8, nome:"Op0"}]
    //  arr.sort(tmz.dynamicSort("NomeCampo", "ASC", "string")) //type: string, integer, date
    //  arr.sort(tmz.dynamicSort("NomeCampo", "DESC", "string")) //type: string, integer, date
    tmz.dynamicSort = function (property, order, type) {
        var sortOrder = "ASC";
        type = type || "string";

        if ((order != null) && (order != "") && (order.toLowerCase() == "desc")) { //(property[0] === "-") {
            sortOrder = "DESC";
        }

        switch (type.toLowerCase()) {
        case "string":
            {
                return function (a, b) {
                    var a1 = a[property]; //.toLowerCase();
                    var b1 = b[property]; //.toLowerCase();
                    if ((a1 == null) || (b1 == null)) {
                        return "";
                    }

                    a1 = a1.toLowerCase();
                    b1 = b1.toLowerCase();

/*if (sortOrder == "ASC") {
                        return a1.toLowerCase() > b1.toLowerCase();
                    } else {
                        return a1.toLowerCase() < b1.toLowerCase();
                    }*/

                    if (sortOrder == "ASC") {
                        if (a1 < b1) //sort string ascending
                        return -1;
                        if (a1 > b1) return 1;
                    } else {
                        if (a1 > b1) //sort string ascending
                        return -1;
                        if (a1 < b1) return 1;
                    }

                    return 0; //default return value (no sorting)
                };

                break;
            }

        case "integer":
            {
                return function (a, b) {

                };

                break;
            }

        case "date":
        case "datetime":
            {
                return function (a, b) {
                    var d1Temp = (a[property] == "") ? "2000-01-01 00:00:01" : a[property];
                    var d2Temp = (b[property] == "") ? "2000-01-01 00:00:01" : b[property];

                    var d1 = new Date(d1Temp);
                    var d2 = new Date(d2Temp);

                    return (sortOrder == "ASC") ? d1 - d2 : d2 - d1; //(d1 > d2) : (d1 < d2);
                };

                break;
            }
        }
    };


    tmz.Base64 = {
        // http://kevin.vanzonneveld.net
        // +   original by: Tyler Akins (http://rumkin.com)
        // +   improved by: Thunder.m
        // +      input by: Aman Gupta
        // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
        // +   bugfixed by: Onno Marsman
        // +   bugfixed by: Pellentesque Malesuada
        // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
        // +      input by: Brett Zamir (http://brett-zamir.me)
        // +   bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
        // -    depends on: utf8_decode
        // *     example 1: base64_decode('S2V2aW4gdmFuIFpvbm5ldmVsZA==');
        // *     returns 1: 'Kevin van Zonneveld'
        // mozilla has this native
        // - but breaks in 2.0.0.12!
        //if (typeof this.window['btoa'] == 'function') {
        //    return btoa(data);
        //}
        decode: function (data) {
            var b64 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
            var o1, o2, o3, h1, h2, h3, h4, bits, i = 0,
                ac = 0,
                dec = "",
                tmp_arr = [];

            if (!data) {
                return data;
            }

            data += "";

            do { // unpack four hexets into three octets using index points in b64
                h1 = b64.indexOf(data.charAt(i++));
                h2 = b64.indexOf(data.charAt(i++));
                h3 = b64.indexOf(data.charAt(i++));
                h4 = b64.indexOf(data.charAt(i++));

                bits = h1 << 18 | h2 << 12 | h3 << 6 | h4;

                o1 = bits >> 16 & 0xff;
                o2 = bits >> 8 & 0xff;
                o3 = bits & 0xff;

                if (h3 == 64) {
                    tmp_arr[ac++] = String.fromCharCode(o1);
                } else if (h4 == 64) {
                    tmp_arr[ac++] = String.fromCharCode(o1, o2);
                } else {
                    tmp_arr[ac++] = String.fromCharCode(o1, o2, o3);
                }
            } while (i < data.length);

            dec = tmp_arr.join("");
            dec = tmz.Utf8.decode(dec);

            return dec;
        },

        // http://kevin.vanzonneveld.net
        // +   original by: Tyler Akins (http://rumkin.com)
        // +   improved by: Bayron Guevara
        // +   improved by: Thunder.m
        // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
        // +   bugfixed by: Pellentesque Malesuada
        // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
        // +   improved by: Rafal Kukawski (http://kukawski.pl)
        // -    depends on: utf8_encode
        // *     example 1: base64_encode('Kevin van Zonneveld');
        // *     returns 1: 'S2V2aW4gdmFuIFpvbm5ldmVsZA=='
        // mozilla has this native
        // - but breaks in 2.0.0.12!
        //if (typeof this.window['atob'] == 'function') {
        //    return atob(data);
        //}
        encode: function (data) {
            var b64 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
            var o1, o2, o3, h1, h2, h3, h4, bits, i = 0,
                ac = 0,
                enc = "",
                tmp_arr = [];

            if (!data) {
                return data;
            }

            data = tmz.Utf8.encode(data + "");

            do { // pack three octets into four hexets
                o1 = data.charCodeAt(i++);
                o2 = data.charCodeAt(i++);
                o3 = data.charCodeAt(i++);

                bits = o1 << 16 | o2 << 8 | o3;

                h1 = bits >> 18 & 0x3f;
                h2 = bits >> 12 & 0x3f;
                h3 = bits >> 6 & 0x3f;
                h4 = bits & 0x3f;

                // use hexets to index into b64, and append result to encoded string
                tmp_arr[ac++] = b64.charAt(h1) + b64.charAt(h2) + b64.charAt(h3) + b64.charAt(h4);
            } while (i < data.length);

            enc = tmp_arr.join("");

            var r = data.length % 3;

            return (r ? enc.slice(0, r - 3) : enc) + "===".slice(r || 3);
        }
    };



    tmz.Convert = function () {

        return {
            toDateTime: function (str, formatoOrigem, formatoDestino) {

                //dataArray
                var da = null;

                switch (formatoOrigem) {
                    case "d-m-y":
                        {
                            var reggie = /(\d{2})-(\d{2})-(\d{4})/;
                            da = reggie.exec(str);
                            break;
                        }
    
                    case "y-M-d":
                        {
                            var reggie = /(\d{4})-(\d{2})-(\d{2})/;
                            da = reggie.exec(str);
                            break;
                        }
    
                    case "y-M-d h:m:s":
                        {
                            var reggie = /(\d{4})-(\d{2})-(\d{2}) (\d{2}):(\d{2}):(\d{2})/;
                            da = reggie.exec(str);
                            break;
                        }
                }

                if (da == null) {
                    return "";
                }

                var strDestino = "";

                switch (formatoDestino) {
                    case "d/M/y h:m:s":
                        {
                            strDestino = da[3] + "/" + da[2] + "/" + da[1] + " " + da[4] + ":" + da[5] + ":" + da[6];
                            break;
                        }
                    case "d/M/y h:m":
                        {
                            strDestino = da[3] + "/" + da[2] + "/" + da[1] + " &#224;s " + da[4] + ":" + da[5];
                            break;
                        }
    
                    case "y-M-d":
                        {
                            strDestino = da[1] + "-" + da[2] + "-" + da[3];
                            break;
                        }
    
                    case "d/M/y":
                        {
                            strDestino = da[3] + "/" + da[2] + "/" + da[1];
                            break;
                        }
                }

                return strDestino;

            },

            dateToString: function (date, formatoDestino) {
                var d = date.getDate();
                var m = date.getMonth() + 1;
                var y = date.getFullYear();
                var h = date.getHours();
                var min = date.getMinutes();
                var sec = date.getSeconds();

                // formato default: YYYY-MM-DD HH:MM:SS
                return "" + y + "-" + (m <= 9 ? "0" + m : m) + "-" + (d <= 9 ? "0" + d : d) + " " + (h <= 9 ? "0" + h : h) + ":" + (min <= 9 ? "0" + min : min) + ":" + (sec <= 9 ? "0" + sec : sec);
            }
        };

    }();



    tmz.Date = function () {
        return {

            /**
             * @descrição: Obtém a quantidade de dias corridos entre duas datas
             * @parans: dataFinal (object do tipo date) => Data Final (tem que ser maior do que a data inicial) 
             * @parans: dataInicial (object do tipo date) => Data Inicial (tem que ser menor do que a data final)
             * @return: int => diferença em dias entre dataFinal e dataInicial
             **/
            diasDecorridos: function (dataFinal, dataInicial) {
                var minuto = 60000;
                var dia = minuto * 60 * 24;
                var horarioVerao = 0;

                // ajusta o horario de cada objeto Date
                dataFinal.setHours(0);
                dataFinal.setMinutes(0);
                dataFinal.setSeconds(0);

                dataInicial.setHours(0);
                dataInicial.setMinutes(0);
                dataInicial.setSeconds(0);

                // determina o fuso horário de cada objeto Date
                var fh1 = dataFinal.getTimezoneOffset();
                var fh2 = dataInicial.getTimezoneOffset();

                // retira a diferença do horário de verão
                if (dataInicial > dataFinal) {
                    horarioVerao = (fh2 - fh1) * minuto;
                } else {
                    horarioVerao = (fh1 - fh2) * minuto;
                }

                var dif = Math.abs(dataInicial.getTime() - dataFinal.getTime()) - horarioVerao;

                // verifica se a data final é >= que a data inicial 
                var atrasado = (dataFinal >= dataInicial);

                return {
                    qtdDias: Math.ceil(dif / dia),
                    atrasado: atrasado
                };
            },

            /**
             * @descricao: retorna a data atual (dd/mm/aaaa)
             **/
            Hoje: function () {
                var dataStr = new Date();
                var dia = dataStr.getDate();
                var mes = (dataStr.getMonth()) + 1; //O mes começa em Zero, então soma-se 1
                var ano = dataStr.getFullYear();

                if (dia < 10) dia = "0" + dia;
                if (mes < 10) mes = "0" + mes;
                if (ano < 2000) ano = "19" + ano;

                dataStr = dia + "/" + mes + "/" + ano;
                return dataStr;
            }
        }
    }();




    /** FormCollect - Compiles a string of form data. - brad@xkr.us - 2004-10-20 **
     ** Code licensed under Creative Commons Attribution-ShareAlike License      **
     ** http://creativecommons.org/licenses/by-sa/2.0/                           **
     *  @adaptada por: Thiago Motta Zappaterra para funcionar recebendo o nome do form ou o próprio form
     *	@email: tmottaz@gmail.com
     *	@data: 07/11/2011
     *  @descrição: retorna todos os valores de um form
     *	@exemplo1: tmz.FormToString("frmLogin");
     *  @return1: "cxtLogin=teste;cxtSenha=123;"
     *  @exemplo2: tmz.FormToString(document.forms[0]);
     *  @return2: "cxtLogin=teste;cxtSenha=123;"
     **/
    tmz.FormToString = function (form) {
        var sRetval = "",
            sTemp = "",
            sCTName = "",
            sCName = "",
            sCType = "",
            arrElts = [],
            oCurrent = null;
        var oForm = (typeof form == "object") ? form : document.getElementById(form);

/*// se o objeto for null, significa que o parametro @form é uma string. Tenta localizar o form através do seu nome
        if (oForm == null)
        {
            for (var i=0; i<document.forms.length; i++)
            {
                if (document.forms[i].name == form) { oForm = document.forms[i]; break; }
            }
        }*/

        // se não encontrar nada, return vazio
        if (oForm == null) {
            return "";
        }

        for (var i = oForm.elements.length - 1; i >= 0; i--) {
            oCurrent = oForm.elements[i]; /* successful elements must have a name and must not be disabled */
            if (oCurrent.name /* && !oCurrent.disabled*/ ) {
                arrElts.push(oCurrent);
            }
        }

        /* sort elements so same names will be adjacent to each other */
        arrElts.sort(function (a, b) {
            return ((a.name < b.name) ? 1 : (a.name == b.name) ? 0 : -1);
        });

        while (oCurrent = arrElts.pop()) {
            sCTName = oCurrent.tagName.toLowerCase();
            sCName = oCurrent.name.toLowerCase();
            sCType = ((oCurrent.type) ? oCurrent.type : "").toLowerCase();

            /* handle input[type="radio|checkbox"] */
            if (sCTName == "input" && /^(?:radio|checkbox)$/.test(sCType)) {
                do {
                    if (oCurrent.checked || oCurrent.selected) sRetval = sRetval.append(encodeURIComponent(oCurrent.name) + "=" + encodeURIComponent(oCurrent.value), "&");
                } while (arrElts[arrElts.length - 1].name == oCurrent.name && (oCurrent = arrElts.pop()));
            }

            /* handle select[multiple] */
            if (sCTName == "select" && oCurrent.multiple && oCurrent.options) {
                for (i = 0, len = oCurrent.options.length, sTemp = ""; i < len; i++)
                if (oCurrent.options[i].selected) sTemp = sTemp.append(encodeURIComponent(oCurrent.options[i].value), ",");
                sRetval = sRetval.append(encodeURIComponent(oCurrent.name) + "=" + sTemp, "&");
            } /* any other element */
            else if ((sCTName == "input" && /^(?:text|date|password|hidden)$/.test(sCType)) || /^(?:select|textarea)$/.test(sCTName)) {
                sRetval = sRetval.append(encodeURIComponent(oCurrent.name) + "=" + encodeURIComponent(oCurrent.value), "&");
            }
        }

        return sRetval;
    };



    tmz.ObjectToString = function (obj) {
        var str = '';
        for (var p in obj) {
            if (obj.hasOwnProperty(p)) {
                str += p + '::' + obj[p] + '\n';
            }
        }

        return str;
    };


    /**
     * @descrição: recebe uma string por parâmetro e transforma em um object
     * @return: object
     **/
    tmz.StringToObject = function (query) {
        var query_string = {};

        query = (query.substring(0, 1) == "?") ? query.substring(1) : query;
        var vars = query.split("&");

        for (var i = 0; i < vars.length; i++) {
            var pair = vars[i].split("=");

            pair[0] = decodeURIComponent(pair[0]);
            pair[1] = decodeURIComponent(pair[1]);

            // If first entry with this name
            if (typeof query_string[pair[0]] === "undefined") {
                query_string[pair[0]] = pair[1];
                // If second entry with this name
            } else if (typeof query_string[pair[0]] === "string") {
                var arr = [query_string[pair[0]], pair[1]];
                query_string[pair[0]] = arr;
                // If third or later entry with this name
            } else {
                query_string[pair[0]].push(pair[1]);
            }
        }

        return query_string;
    };


    tmz.Utf8 = {

        // http://kevin.vanzonneveld.net
        // +   original by: Webtoolkit.info (http://www.webtoolkit.info/)
        // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
        // +   improved by: sowberry
        // +    tweaked by: Jack
        // +   bugfixed by: Onno Marsman
        // +   improved by: Yves Sucaet
        // +   bugfixed by: Onno Marsman
        // +   bugfixed by: Ulrich
        // *     example 1: utf8_encode('função');
        // *     returns 1: 'funÃ§Ã£o'
        encode: function (argString) {
            var string = (argString + ""); // .replace(/\r\n/g, "\n").replace(/\r/g, "\n");
            var utftext = "",
                start, end, stringl = 0;

            start = end = 0;
            stringl = string.length;
            for (var n = 0; n < stringl; n++) {
                var c1 = string.charCodeAt(n);
                var enc = null;

                if (c1 < 128) {
                    end++;
                } else if (c1 > 127 && c1 < 2048) {
                    enc = String.fromCharCode((c1 >> 6) | 192) + String.fromCharCode((c1 & 63) | 128);
                } else {
                    enc = String.fromCharCode((c1 >> 12) | 224) + String.fromCharCode(((c1 >> 6) & 63) | 128) + String.fromCharCode((c1 & 63) | 128);
                }

                if (enc !== null) {
                    if (end > start) {
                        utftext += string.slice(start, end);
                    }
                    utftext += enc;
                    start = end = n + 1;
                }
            }

            if (end > start) {
                utftext += string.slice(start, stringl);
            }

            return utftext;
        },


        // http://kevin.vanzonneveld.net
        // +   original by: Webtoolkit.info (http://www.webtoolkit.info/)
        // +      input by: Aman Gupta
        // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
        // +   improved by: Norman "zEh" Fuchs
        // +   bugfixed by: hitwork
        // +   bugfixed by: Onno Marsman
        // +      input by: Brett Zamir (http://brett-zamir.me)
        // +   bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
        // *     example 1: utf8_decode('funÃ§Ã£o');
        // *     returns 1: 'função'
        decode: function (str_data) {
            var tmp_arr = [],
                i = 0,
                ac = 0,
                c1 = 0,
                c2 = 0,
                c3 = 0;
            str_data += "";

            while (i < str_data.length) {
                c1 = str_data.charCodeAt(i);
                if (c1 < 128) {
                    tmp_arr[ac++] = String.fromCharCode(c1);
                    i++;
                } else if (c1 > 191 && c1 < 224) {
                    c2 = str_data.charCodeAt(i + 1);
                    tmp_arr[ac++] = String.fromCharCode(((c1 & 31) << 6) | (c2 & 63));
                    i += 2;
                } else {
                    c2 = str_data.charCodeAt(i + 1);
                    c3 = str_data.charCodeAt(i + 2);
                    tmp_arr[ac++] = String.fromCharCode(((c1 & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
                    i += 3;
                }
            }

            return tmp_arr.join("");
        }
    };

}());